net.sourceforge.pmd.cli

## Class XPathCLI

- java.lang.Object
- - net.sourceforge.pmd.cli.XPathCLI

    public class XPathCLI
    extends Object

To use this, do this: $ cat ~/tmp/Test.java package foo; public class Test { private int x; } $ java net.sourceforge.pmd.util.XPathTest -xpath "//FieldDeclaration" -filename "/home/tom/tmp/Test.java" Match at line 3 column 11; package name 'foo'; variable name 'x'

### Constructor Summary

Constructors
Constructor and Description
`XPathCLI()`

### Method Summary

Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathCLI

    public XPathCLI()

### Method Detail

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`